Package com.avaya.clientservices.media

## Enum VoiceActivityDetectionMode

- java.lang.Object
- - java.lang.Enum<VoiceActivityDetectionMode>
  - - com.avaya.clientservices.media.VoiceActivityDetectionMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VoiceActivityDetectionMode>`

      public enum VoiceActivityDetectionMode
      extends java.lang.Enum<VoiceActivityDetectionMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AGGRESSIVE` |
    `DEFAULT` |
    `LOW_BITRATE` |
    `NORMAL` |
    `OFF` |
    `VERY_AGGRESSIVE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VoiceActivityDetectionMode` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static VoiceActivityDetectionMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VoiceActivityDetectionMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final VoiceActivityDetectionMode OFF

    - #### DEFAULT

          public static final VoiceActivityDetectionMode DEFAULT

    - #### NORMAL

          public static final VoiceActivityDetectionMode NORMAL

    - #### LOW_BITRATE

          public static final VoiceActivityDetectionMode LOW_BITRATE

    - #### AGGRESSIVE

          public static final VoiceActivityDetectionMode AGGRESSIVE

    - #### VERY_AGGRESSIVE

          public static final VoiceActivityDetectionMode VERY_AGGRESSIVE

  - ### Method Detail

    - #### values

          public static VoiceActivityDetectionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VoiceActivityDetectionMode c : VoiceActivityDetectionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VoiceActivityDetectionMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static VoiceActivityDetectionMode fromInt​(int v)

    - #### intValue

          public int intValue()